	component Qsys is
		port (
			clk_clk                                        : in    std_logic                    := 'X';             -- clk
			hdmi_tx_disp_mode_external_connection_export   : out   std_logic_vector(3 downto 0);                    -- export
			hdmi_tx_i2c_scl_external_connection_export     : out   std_logic;                                       -- export
			hdmi_tx_i2c_sda_external_connection_export     : inout std_logic                    := 'X';             -- export
			hdmi_tx_irq_n_external_connection_export       : in    std_logic                    := 'X';             -- export
			hdmi_tx_mode_change_external_connection_export : out   std_logic;                                       -- export
			hdmi_tx_reset_n_external_connection_export     : out   std_logic;                                       -- export
			hdmi_tx_vpg_color_external_connection_export   : out   std_logic_vector(1 downto 0);                    -- export
			i2s_tx_conduit_end_sck                         : in    std_logic                    := 'X';             -- sck
			i2s_tx_conduit_end_ws                          : out   std_logic;                                       -- ws
			i2s_tx_conduit_end_sd                          : out   std_logic;                                       -- sd
			pio_button_external_connection_export          : in    std_logic_vector(1 downto 0) := (others => 'X'); -- export
			pio_led_external_connection_export             : out   std_logic_vector(3 downto 0);                    -- export
			pll_locked_export                              : out   std_logic;                                       -- export
			reset_reset_n                                  : in    std_logic                    := 'X'              -- reset_n
		);
	end component Qsys;

	u0 : component Qsys
		port map (
			clk_clk                                        => CONNECTED_TO_clk_clk,                                        --                                     clk.clk
			hdmi_tx_disp_mode_external_connection_export   => CONNECTED_TO_hdmi_tx_disp_mode_external_connection_export,   --   hdmi_tx_disp_mode_external_connection.export
			hdmi_tx_i2c_scl_external_connection_export     => CONNECTED_TO_hdmi_tx_i2c_scl_external_connection_export,     --     hdmi_tx_i2c_scl_external_connection.export
			hdmi_tx_i2c_sda_external_connection_export     => CONNECTED_TO_hdmi_tx_i2c_sda_external_connection_export,     --     hdmi_tx_i2c_sda_external_connection.export
			hdmi_tx_irq_n_external_connection_export       => CONNECTED_TO_hdmi_tx_irq_n_external_connection_export,       --       hdmi_tx_irq_n_external_connection.export
			hdmi_tx_mode_change_external_connection_export => CONNECTED_TO_hdmi_tx_mode_change_external_connection_export, -- hdmi_tx_mode_change_external_connection.export
			hdmi_tx_reset_n_external_connection_export     => CONNECTED_TO_hdmi_tx_reset_n_external_connection_export,     --     hdmi_tx_reset_n_external_connection.export
			hdmi_tx_vpg_color_external_connection_export   => CONNECTED_TO_hdmi_tx_vpg_color_external_connection_export,   --   hdmi_tx_vpg_color_external_connection.export
			i2s_tx_conduit_end_sck                         => CONNECTED_TO_i2s_tx_conduit_end_sck,                         --                      i2s_tx_conduit_end.sck
			i2s_tx_conduit_end_ws                          => CONNECTED_TO_i2s_tx_conduit_end_ws,                          --                                        .ws
			i2s_tx_conduit_end_sd                          => CONNECTED_TO_i2s_tx_conduit_end_sd,                          --                                        .sd
			pio_button_external_connection_export          => CONNECTED_TO_pio_button_external_connection_export,          --          pio_button_external_connection.export
			pio_led_external_connection_export             => CONNECTED_TO_pio_led_external_connection_export,             --             pio_led_external_connection.export
			pll_locked_export                              => CONNECTED_TO_pll_locked_export,                              --                              pll_locked.export
			reset_reset_n                                  => CONNECTED_TO_reset_reset_n                                   --                                   reset.reset_n
		);

