// Qsys.v

// Generated using ACDS version 18.1 625

`timescale 1 ps / 1 ps
module Qsys (
		input  wire       clk_clk,                                        //                                     clk.clk
		output wire [3:0] hdmi_tx_disp_mode_external_connection_export,   //   hdmi_tx_disp_mode_external_connection.export
		output wire       hdmi_tx_i2c_scl_external_connection_export,     //     hdmi_tx_i2c_scl_external_connection.export
		inout  wire       hdmi_tx_i2c_sda_external_connection_export,     //     hdmi_tx_i2c_sda_external_connection.export
		input  wire       hdmi_tx_irq_n_external_connection_export,       //       hdmi_tx_irq_n_external_connection.export
		output wire       hdmi_tx_mode_change_external_connection_export, // hdmi_tx_mode_change_external_connection.export
		output wire       hdmi_tx_reset_n_external_connection_export,     //     hdmi_tx_reset_n_external_connection.export
		output wire [1:0] hdmi_tx_vpg_color_external_connection_export,   //   hdmi_tx_vpg_color_external_connection.export
		input  wire       i2s_tx_conduit_end_sck,                         //                      i2s_tx_conduit_end.sck
		output wire       i2s_tx_conduit_end_ws,                          //                                        .ws
		output wire       i2s_tx_conduit_end_sd,                          //                                        .sd
		input  wire [1:0] pio_button_external_connection_export,          //          pio_button_external_connection.export
		output wire [3:0] pio_led_external_connection_export,             //             pio_led_external_connection.export
		output wire       pll_locked_export,                              //                              pll_locked.export
		input  wire       reset_reset_n                                   //                                   reset.reset_n
	);

	wire         pll_outclk0_clk;                                             // pll:outclk_0 -> [i2s_tx:s_clk, irq_mapper:clk, irq_synchronizer:sender_clk, irq_synchronizer_001:sender_clk, irq_synchronizer_002:sender_clk, jtag_uart:clk, mm_clock_crossing_bridge:s0_clk, mm_interconnect_0:pll_outclk0_clk, nios2_qsys:clk, onchip_memory:clk, rst_controller_001:clk, rst_controller_002:clk]
	wire         pll_outclk1_clk;                                             // pll:outclk_1 -> [hdmi_tx_disp_mode:clk, hdmi_tx_i2c_scl:clk, hdmi_tx_i2c_sda:clk, hdmi_tx_irq_n:clk, hdmi_tx_mode_change:clk, hdmi_tx_reset_n:clk, hdmi_tx_vpg_color:clk, irq_synchronizer:receiver_clk, irq_synchronizer_001:receiver_clk, irq_synchronizer_002:receiver_clk, mm_clock_crossing_bridge:m0_clk, mm_interconnect_1:pll_outclk1_clk, pio_button:clk, pio_led:clk, rst_controller:clk, sysid:clock, timer:clk]
	wire  [31:0] nios2_qsys_data_master_readdata;                             // mm_interconnect_0:nios2_qsys_data_master_readdata -> nios2_qsys:d_readdata
	wire         nios2_qsys_data_master_waitrequest;                          // mm_interconnect_0:nios2_qsys_data_master_waitrequest -> nios2_qsys:d_waitrequest
	wire         nios2_qsys_data_master_debugaccess;                          // nios2_qsys:jtag_debug_module_debugaccess_to_roms -> mm_interconnect_0:nios2_qsys_data_master_debugaccess
	wire  [24:0] nios2_qsys_data_master_address;                              // nios2_qsys:d_address -> mm_interconnect_0:nios2_qsys_data_master_address
	wire   [3:0] nios2_qsys_data_master_byteenable;                           // nios2_qsys:d_byteenable -> mm_interconnect_0:nios2_qsys_data_master_byteenable
	wire         nios2_qsys_data_master_read;                                 // nios2_qsys:d_read -> mm_interconnect_0:nios2_qsys_data_master_read
	wire         nios2_qsys_data_master_readdatavalid;                        // mm_interconnect_0:nios2_qsys_data_master_readdatavalid -> nios2_qsys:d_readdatavalid
	wire         nios2_qsys_data_master_write;                                // nios2_qsys:d_write -> mm_interconnect_0:nios2_qsys_data_master_write
	wire  [31:0] nios2_qsys_data_master_writedata;                            // nios2_qsys:d_writedata -> mm_interconnect_0:nios2_qsys_data_master_writedata
	wire  [31:0] nios2_qsys_instruction_master_readdata;                      // mm_interconnect_0:nios2_qsys_instruction_master_readdata -> nios2_qsys:i_readdata
	wire         nios2_qsys_instruction_master_waitrequest;                   // mm_interconnect_0:nios2_qsys_instruction_master_waitrequest -> nios2_qsys:i_waitrequest
	wire  [24:0] nios2_qsys_instruction_master_address;                       // nios2_qsys:i_address -> mm_interconnect_0:nios2_qsys_instruction_master_address
	wire         nios2_qsys_instruction_master_read;                          // nios2_qsys:i_read -> mm_interconnect_0:nios2_qsys_instruction_master_read
	wire         nios2_qsys_instruction_master_readdatavalid;                 // mm_interconnect_0:nios2_qsys_instruction_master_readdatavalid -> nios2_qsys:i_readdatavalid
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect;    // mm_interconnect_0:jtag_uart_avalon_jtag_slave_chipselect -> jtag_uart:av_chipselect
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata;      // jtag_uart:av_readdata -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_readdata
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest;   // jtag_uart:av_waitrequest -> mm_interconnect_0:jtag_uart_avalon_jtag_slave_waitrequest
	wire   [0:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_address;       // mm_interconnect_0:jtag_uart_avalon_jtag_slave_address -> jtag_uart:av_address
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_read;          // mm_interconnect_0:jtag_uart_avalon_jtag_slave_read -> jtag_uart:av_read_n
	wire         mm_interconnect_0_jtag_uart_avalon_jtag_slave_write;         // mm_interconnect_0:jtag_uart_avalon_jtag_slave_write -> jtag_uart:av_write_n
	wire  [31:0] mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata;     // mm_interconnect_0:jtag_uart_avalon_jtag_slave_writedata -> jtag_uart:av_writedata
	wire  [31:0] mm_interconnect_0_nios2_qsys_jtag_debug_module_readdata;     // nios2_qsys:jtag_debug_module_readdata -> mm_interconnect_0:nios2_qsys_jtag_debug_module_readdata
	wire         mm_interconnect_0_nios2_qsys_jtag_debug_module_waitrequest;  // nios2_qsys:jtag_debug_module_waitrequest -> mm_interconnect_0:nios2_qsys_jtag_debug_module_waitrequest
	wire         mm_interconnect_0_nios2_qsys_jtag_debug_module_debugaccess;  // mm_interconnect_0:nios2_qsys_jtag_debug_module_debugaccess -> nios2_qsys:jtag_debug_module_debugaccess
	wire   [8:0] mm_interconnect_0_nios2_qsys_jtag_debug_module_address;      // mm_interconnect_0:nios2_qsys_jtag_debug_module_address -> nios2_qsys:jtag_debug_module_address
	wire         mm_interconnect_0_nios2_qsys_jtag_debug_module_read;         // mm_interconnect_0:nios2_qsys_jtag_debug_module_read -> nios2_qsys:jtag_debug_module_read
	wire   [3:0] mm_interconnect_0_nios2_qsys_jtag_debug_module_byteenable;   // mm_interconnect_0:nios2_qsys_jtag_debug_module_byteenable -> nios2_qsys:jtag_debug_module_byteenable
	wire         mm_interconnect_0_nios2_qsys_jtag_debug_module_write;        // mm_interconnect_0:nios2_qsys_jtag_debug_module_write -> nios2_qsys:jtag_debug_module_write
	wire  [31:0] mm_interconnect_0_nios2_qsys_jtag_debug_module_writedata;    // mm_interconnect_0:nios2_qsys_jtag_debug_module_writedata -> nios2_qsys:jtag_debug_module_writedata
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata;      // mm_clock_crossing_bridge:s0_readdata -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdata
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest;   // mm_clock_crossing_bridge:s0_waitrequest -> mm_interconnect_0:mm_clock_crossing_bridge_s0_waitrequest
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess;   // mm_interconnect_0:mm_clock_crossing_bridge_s0_debugaccess -> mm_clock_crossing_bridge:s0_debugaccess
	wire   [7:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_address;       // mm_interconnect_0:mm_clock_crossing_bridge_s0_address -> mm_clock_crossing_bridge:s0_address
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_read;          // mm_interconnect_0:mm_clock_crossing_bridge_s0_read -> mm_clock_crossing_bridge:s0_read
	wire   [3:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_byteenable -> mm_clock_crossing_bridge:s0_byteenable
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid; // mm_clock_crossing_bridge:s0_readdatavalid -> mm_interconnect_0:mm_clock_crossing_bridge_s0_readdatavalid
	wire         mm_interconnect_0_mm_clock_crossing_bridge_s0_write;         // mm_interconnect_0:mm_clock_crossing_bridge_s0_write -> mm_clock_crossing_bridge:s0_write
	wire  [31:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata;     // mm_interconnect_0:mm_clock_crossing_bridge_s0_writedata -> mm_clock_crossing_bridge:s0_writedata
	wire   [3:0] mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount;    // mm_interconnect_0:mm_clock_crossing_bridge_s0_burstcount -> mm_clock_crossing_bridge:s0_burstcount
	wire         mm_interconnect_0_onchip_memory_s1_chipselect;               // mm_interconnect_0:onchip_memory_s1_chipselect -> onchip_memory:chipselect
	wire  [31:0] mm_interconnect_0_onchip_memory_s1_readdata;                 // onchip_memory:readdata -> mm_interconnect_0:onchip_memory_s1_readdata
	wire  [14:0] mm_interconnect_0_onchip_memory_s1_address;                  // mm_interconnect_0:onchip_memory_s1_address -> onchip_memory:address
	wire   [3:0] mm_interconnect_0_onchip_memory_s1_byteenable;               // mm_interconnect_0:onchip_memory_s1_byteenable -> onchip_memory:byteenable
	wire         mm_interconnect_0_onchip_memory_s1_write;                    // mm_interconnect_0:onchip_memory_s1_write -> onchip_memory:write
	wire  [31:0] mm_interconnect_0_onchip_memory_s1_writedata;                // mm_interconnect_0:onchip_memory_s1_writedata -> onchip_memory:writedata
	wire         mm_interconnect_0_onchip_memory_s1_clken;                    // mm_interconnect_0:onchip_memory_s1_clken -> onchip_memory:clken
	wire         mm_interconnect_0_i2s_tx_slave_chipselect;                   // mm_interconnect_0:i2s_tx_slave_chipselect -> i2s_tx:s_chipselect
	wire  [31:0] mm_interconnect_0_i2s_tx_slave_readdata;                     // i2s_tx:s_readdata -> mm_interconnect_0:i2s_tx_slave_readdata
	wire   [1:0] mm_interconnect_0_i2s_tx_slave_address;                      // mm_interconnect_0:i2s_tx_slave_address -> i2s_tx:s_address
	wire         mm_interconnect_0_i2s_tx_slave_read;                         // mm_interconnect_0:i2s_tx_slave_read -> i2s_tx:s_read
	wire         mm_interconnect_0_i2s_tx_slave_write;                        // mm_interconnect_0:i2s_tx_slave_write -> i2s_tx:s_write
	wire  [31:0] mm_interconnect_0_i2s_tx_slave_writedata;                    // mm_interconnect_0:i2s_tx_slave_writedata -> i2s_tx:s_writedata
	wire         mm_clock_crossing_bridge_m0_waitrequest;                     // mm_interconnect_1:mm_clock_crossing_bridge_m0_waitrequest -> mm_clock_crossing_bridge:m0_waitrequest
	wire  [31:0] mm_clock_crossing_bridge_m0_readdata;                        // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdata -> mm_clock_crossing_bridge:m0_readdata
	wire         mm_clock_crossing_bridge_m0_debugaccess;                     // mm_clock_crossing_bridge:m0_debugaccess -> mm_interconnect_1:mm_clock_crossing_bridge_m0_debugaccess
	wire   [7:0] mm_clock_crossing_bridge_m0_address;                         // mm_clock_crossing_bridge:m0_address -> mm_interconnect_1:mm_clock_crossing_bridge_m0_address
	wire         mm_clock_crossing_bridge_m0_read;                            // mm_clock_crossing_bridge:m0_read -> mm_interconnect_1:mm_clock_crossing_bridge_m0_read
	wire   [3:0] mm_clock_crossing_bridge_m0_byteenable;                      // mm_clock_crossing_bridge:m0_byteenable -> mm_interconnect_1:mm_clock_crossing_bridge_m0_byteenable
	wire         mm_clock_crossing_bridge_m0_readdatavalid;                   // mm_interconnect_1:mm_clock_crossing_bridge_m0_readdatavalid -> mm_clock_crossing_bridge:m0_readdatavalid
	wire  [31:0] mm_clock_crossing_bridge_m0_writedata;                       // mm_clock_crossing_bridge:m0_writedata -> mm_interconnect_1:mm_clock_crossing_bridge_m0_writedata
	wire         mm_clock_crossing_bridge_m0_write;                           // mm_clock_crossing_bridge:m0_write -> mm_interconnect_1:mm_clock_crossing_bridge_m0_write
	wire   [3:0] mm_clock_crossing_bridge_m0_burstcount;                      // mm_clock_crossing_bridge:m0_burstcount -> mm_interconnect_1:mm_clock_crossing_bridge_m0_burstcount
	wire  [31:0] mm_interconnect_1_sysid_control_slave_readdata;              // sysid:readdata -> mm_interconnect_1:sysid_control_slave_readdata
	wire   [0:0] mm_interconnect_1_sysid_control_slave_address;               // mm_interconnect_1:sysid_control_slave_address -> sysid:address
	wire         mm_interconnect_1_hdmi_tx_i2c_scl_s1_chipselect;             // mm_interconnect_1:hdmi_tx_i2c_scl_s1_chipselect -> hdmi_tx_i2c_scl:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_i2c_scl_s1_readdata;               // hdmi_tx_i2c_scl:readdata -> mm_interconnect_1:hdmi_tx_i2c_scl_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_i2c_scl_s1_address;                // mm_interconnect_1:hdmi_tx_i2c_scl_s1_address -> hdmi_tx_i2c_scl:address
	wire         mm_interconnect_1_hdmi_tx_i2c_scl_s1_write;                  // mm_interconnect_1:hdmi_tx_i2c_scl_s1_write -> hdmi_tx_i2c_scl:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_i2c_scl_s1_writedata;              // mm_interconnect_1:hdmi_tx_i2c_scl_s1_writedata -> hdmi_tx_i2c_scl:writedata
	wire         mm_interconnect_1_hdmi_tx_i2c_sda_s1_chipselect;             // mm_interconnect_1:hdmi_tx_i2c_sda_s1_chipselect -> hdmi_tx_i2c_sda:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_i2c_sda_s1_readdata;               // hdmi_tx_i2c_sda:readdata -> mm_interconnect_1:hdmi_tx_i2c_sda_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_i2c_sda_s1_address;                // mm_interconnect_1:hdmi_tx_i2c_sda_s1_address -> hdmi_tx_i2c_sda:address
	wire         mm_interconnect_1_hdmi_tx_i2c_sda_s1_write;                  // mm_interconnect_1:hdmi_tx_i2c_sda_s1_write -> hdmi_tx_i2c_sda:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_i2c_sda_s1_writedata;              // mm_interconnect_1:hdmi_tx_i2c_sda_s1_writedata -> hdmi_tx_i2c_sda:writedata
	wire         mm_interconnect_1_hdmi_tx_reset_n_s1_chipselect;             // mm_interconnect_1:hdmi_tx_reset_n_s1_chipselect -> hdmi_tx_reset_n:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_reset_n_s1_readdata;               // hdmi_tx_reset_n:readdata -> mm_interconnect_1:hdmi_tx_reset_n_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_reset_n_s1_address;                // mm_interconnect_1:hdmi_tx_reset_n_s1_address -> hdmi_tx_reset_n:address
	wire         mm_interconnect_1_hdmi_tx_reset_n_s1_write;                  // mm_interconnect_1:hdmi_tx_reset_n_s1_write -> hdmi_tx_reset_n:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_reset_n_s1_writedata;              // mm_interconnect_1:hdmi_tx_reset_n_s1_writedata -> hdmi_tx_reset_n:writedata
	wire         mm_interconnect_1_hdmi_tx_irq_n_s1_chipselect;               // mm_interconnect_1:hdmi_tx_irq_n_s1_chipselect -> hdmi_tx_irq_n:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_irq_n_s1_readdata;                 // hdmi_tx_irq_n:readdata -> mm_interconnect_1:hdmi_tx_irq_n_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_irq_n_s1_address;                  // mm_interconnect_1:hdmi_tx_irq_n_s1_address -> hdmi_tx_irq_n:address
	wire         mm_interconnect_1_hdmi_tx_irq_n_s1_write;                    // mm_interconnect_1:hdmi_tx_irq_n_s1_write -> hdmi_tx_irq_n:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_irq_n_s1_writedata;                // mm_interconnect_1:hdmi_tx_irq_n_s1_writedata -> hdmi_tx_irq_n:writedata
	wire         mm_interconnect_1_pio_led_s1_chipselect;                     // mm_interconnect_1:pio_led_s1_chipselect -> pio_led:chipselect
	wire  [31:0] mm_interconnect_1_pio_led_s1_readdata;                       // pio_led:readdata -> mm_interconnect_1:pio_led_s1_readdata
	wire   [1:0] mm_interconnect_1_pio_led_s1_address;                        // mm_interconnect_1:pio_led_s1_address -> pio_led:address
	wire         mm_interconnect_1_pio_led_s1_write;                          // mm_interconnect_1:pio_led_s1_write -> pio_led:write_n
	wire  [31:0] mm_interconnect_1_pio_led_s1_writedata;                      // mm_interconnect_1:pio_led_s1_writedata -> pio_led:writedata
	wire         mm_interconnect_1_pio_button_s1_chipselect;                  // mm_interconnect_1:pio_button_s1_chipselect -> pio_button:chipselect
	wire  [31:0] mm_interconnect_1_pio_button_s1_readdata;                    // pio_button:readdata -> mm_interconnect_1:pio_button_s1_readdata
	wire   [1:0] mm_interconnect_1_pio_button_s1_address;                     // mm_interconnect_1:pio_button_s1_address -> pio_button:address
	wire         mm_interconnect_1_pio_button_s1_write;                       // mm_interconnect_1:pio_button_s1_write -> pio_button:write_n
	wire  [31:0] mm_interconnect_1_pio_button_s1_writedata;                   // mm_interconnect_1:pio_button_s1_writedata -> pio_button:writedata
	wire         mm_interconnect_1_hdmi_tx_disp_mode_s1_chipselect;           // mm_interconnect_1:hdmi_tx_disp_mode_s1_chipselect -> hdmi_tx_disp_mode:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_disp_mode_s1_readdata;             // hdmi_tx_disp_mode:readdata -> mm_interconnect_1:hdmi_tx_disp_mode_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_disp_mode_s1_address;              // mm_interconnect_1:hdmi_tx_disp_mode_s1_address -> hdmi_tx_disp_mode:address
	wire         mm_interconnect_1_hdmi_tx_disp_mode_s1_write;                // mm_interconnect_1:hdmi_tx_disp_mode_s1_write -> hdmi_tx_disp_mode:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_disp_mode_s1_writedata;            // mm_interconnect_1:hdmi_tx_disp_mode_s1_writedata -> hdmi_tx_disp_mode:writedata
	wire         mm_interconnect_1_hdmi_tx_mode_change_s1_chipselect;         // mm_interconnect_1:hdmi_tx_mode_change_s1_chipselect -> hdmi_tx_mode_change:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_mode_change_s1_readdata;           // hdmi_tx_mode_change:readdata -> mm_interconnect_1:hdmi_tx_mode_change_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_mode_change_s1_address;            // mm_interconnect_1:hdmi_tx_mode_change_s1_address -> hdmi_tx_mode_change:address
	wire         mm_interconnect_1_hdmi_tx_mode_change_s1_write;              // mm_interconnect_1:hdmi_tx_mode_change_s1_write -> hdmi_tx_mode_change:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_mode_change_s1_writedata;          // mm_interconnect_1:hdmi_tx_mode_change_s1_writedata -> hdmi_tx_mode_change:writedata
	wire         mm_interconnect_1_hdmi_tx_vpg_color_s1_chipselect;           // mm_interconnect_1:hdmi_tx_vpg_color_s1_chipselect -> hdmi_tx_vpg_color:chipselect
	wire  [31:0] mm_interconnect_1_hdmi_tx_vpg_color_s1_readdata;             // hdmi_tx_vpg_color:readdata -> mm_interconnect_1:hdmi_tx_vpg_color_s1_readdata
	wire   [1:0] mm_interconnect_1_hdmi_tx_vpg_color_s1_address;              // mm_interconnect_1:hdmi_tx_vpg_color_s1_address -> hdmi_tx_vpg_color:address
	wire         mm_interconnect_1_hdmi_tx_vpg_color_s1_write;                // mm_interconnect_1:hdmi_tx_vpg_color_s1_write -> hdmi_tx_vpg_color:write_n
	wire  [31:0] mm_interconnect_1_hdmi_tx_vpg_color_s1_writedata;            // mm_interconnect_1:hdmi_tx_vpg_color_s1_writedata -> hdmi_tx_vpg_color:writedata
	wire         mm_interconnect_1_timer_s1_chipselect;                       // mm_interconnect_1:timer_s1_chipselect -> timer:chipselect
	wire  [15:0] mm_interconnect_1_timer_s1_readdata;                         // timer:readdata -> mm_interconnect_1:timer_s1_readdata
	wire   [2:0] mm_interconnect_1_timer_s1_address;                          // mm_interconnect_1:timer_s1_address -> timer:address
	wire         mm_interconnect_1_timer_s1_write;                            // mm_interconnect_1:timer_s1_write -> timer:write_n
	wire  [15:0] mm_interconnect_1_timer_s1_writedata;                        // mm_interconnect_1:timer_s1_writedata -> timer:writedata
	wire         irq_mapper_receiver0_irq;                                    // jtag_uart:av_irq -> irq_mapper:receiver0_irq
	wire         irq_mapper_receiver4_irq;                                    // i2s_tx:s_irq -> irq_mapper:receiver4_irq
	wire  [31:0] nios2_qsys_d_irq_irq;                                        // irq_mapper:sender_irq -> nios2_qsys:d_irq
	wire         irq_mapper_receiver1_irq;                                    // irq_synchronizer:sender_irq -> irq_mapper:receiver1_irq
	wire   [0:0] irq_synchronizer_receiver_irq;                               // timer:irq -> irq_synchronizer:receiver_irq
	wire         irq_mapper_receiver2_irq;                                    // irq_synchronizer_001:sender_irq -> irq_mapper:receiver2_irq
	wire   [0:0] irq_synchronizer_001_receiver_irq;                           // hdmi_tx_irq_n:irq -> irq_synchronizer_001:receiver_irq
	wire         irq_mapper_receiver3_irq;                                    // irq_synchronizer_002:sender_irq -> irq_mapper:receiver3_irq
	wire   [0:0] irq_synchronizer_002_receiver_irq;                           // pio_button:irq -> irq_synchronizer_002:receiver_irq
	wire         rst_controller_reset_out_reset;                              // rst_controller:reset_out -> [hdmi_tx_disp_mode:reset_n, hdmi_tx_i2c_scl:reset_n, hdmi_tx_i2c_sda:reset_n, hdmi_tx_irq_n:reset_n, hdmi_tx_mode_change:reset_n, hdmi_tx_reset_n:reset_n, hdmi_tx_vpg_color:reset_n, irq_synchronizer:receiver_reset, irq_synchronizer_001:receiver_reset, irq_synchronizer_002:receiver_reset, mm_clock_crossing_bridge:m0_reset, mm_interconnect_1:mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset, pio_button:reset_n, pio_led:reset_n, sysid:reset_n, timer:reset_n]
	wire         rst_controller_001_reset_out_reset;                          // rst_controller_001:reset_out -> [mm_clock_crossing_bridge:s0_reset, mm_interconnect_0:mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset_reset, onchip_memory:reset, rst_translator:in_reset]
	wire         rst_controller_001_reset_out_reset_req;                      // rst_controller_001:reset_req -> [onchip_memory:reset_req, rst_translator:reset_req_in]
	wire         rst_controller_002_reset_out_reset;                          // rst_controller_002:reset_out -> [irq_mapper:reset, irq_synchronizer:sender_reset, irq_synchronizer_001:sender_reset, irq_synchronizer_002:sender_reset, jtag_uart:rst_n, mm_interconnect_0:nios2_qsys_reset_n_reset_bridge_in_reset_reset, nios2_qsys:reset_n, rst_translator_001:in_reset]
	wire         rst_controller_002_reset_out_reset_req;                      // rst_controller_002:reset_req -> [nios2_qsys:reset_req, rst_translator_001:reset_req_in]
	wire         nios2_qsys_jtag_debug_module_reset_reset;                    // nios2_qsys:jtag_debug_module_resetrequest -> rst_controller_002:reset_in1

	Qsys_hdmi_tx_disp_mode hdmi_tx_disp_mode (
		.clk        (pll_outclk1_clk),                                   //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                   //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_disp_mode_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_disp_mode_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_disp_mode_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_disp_mode_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_disp_mode_s1_readdata),   //                    .readdata
		.out_port   (hdmi_tx_disp_mode_external_connection_export)       // external_connection.export
	);

	Qsys_hdmi_tx_i2c_scl hdmi_tx_i2c_scl (
		.clk        (pll_outclk1_clk),                                 //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                 //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_i2c_scl_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_i2c_scl_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_i2c_scl_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_i2c_scl_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_i2c_scl_s1_readdata),   //                    .readdata
		.out_port   (hdmi_tx_i2c_scl_external_connection_export)       // external_connection.export
	);

	Qsys_hdmi_tx_i2c_sda hdmi_tx_i2c_sda (
		.clk        (pll_outclk1_clk),                                 //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                 //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_i2c_sda_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_i2c_sda_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_i2c_sda_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_i2c_sda_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_i2c_sda_s1_readdata),   //                    .readdata
		.bidir_port (hdmi_tx_i2c_sda_external_connection_export)       // external_connection.export
	);

	Qsys_hdmi_tx_irq_n hdmi_tx_irq_n (
		.clk        (pll_outclk1_clk),                               //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),               //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_irq_n_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_irq_n_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_irq_n_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_irq_n_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_irq_n_s1_readdata),   //                    .readdata
		.in_port    (hdmi_tx_irq_n_external_connection_export),      // external_connection.export
		.irq        (irq_synchronizer_001_receiver_irq)              //                 irq.irq
	);

	Qsys_hdmi_tx_i2c_scl hdmi_tx_mode_change (
		.clk        (pll_outclk1_clk),                                     //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                     //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_mode_change_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_mode_change_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_mode_change_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_mode_change_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_mode_change_s1_readdata),   //                    .readdata
		.out_port   (hdmi_tx_mode_change_external_connection_export)       // external_connection.export
	);

	Qsys_hdmi_tx_i2c_scl hdmi_tx_reset_n (
		.clk        (pll_outclk1_clk),                                 //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                 //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_reset_n_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_reset_n_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_reset_n_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_reset_n_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_reset_n_s1_readdata),   //                    .readdata
		.out_port   (hdmi_tx_reset_n_external_connection_export)       // external_connection.export
	);

	Qsys_hdmi_tx_vpg_color hdmi_tx_vpg_color (
		.clk        (pll_outclk1_clk),                                   //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),                   //               reset.reset_n
		.address    (mm_interconnect_1_hdmi_tx_vpg_color_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_hdmi_tx_vpg_color_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_hdmi_tx_vpg_color_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_hdmi_tx_vpg_color_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_hdmi_tx_vpg_color_s1_readdata),   //                    .readdata
		.out_port   (hdmi_tx_vpg_color_external_connection_export)       // external_connection.export
	);

	TERASIC_I2S_TX i2s_tx (
		.s_chipselect (mm_interconnect_0_i2s_tx_slave_chipselect), //       slave.chipselect
		.s_address    (mm_interconnect_0_i2s_tx_slave_address),    //            .address
		.s_read       (mm_interconnect_0_i2s_tx_slave_read),       //            .read
		.s_readdata   (mm_interconnect_0_i2s_tx_slave_readdata),   //            .readdata
		.s_write      (mm_interconnect_0_i2s_tx_slave_write),      //            .write
		.s_writedata  (mm_interconnect_0_i2s_tx_slave_writedata),  //            .writedata
		.s_clk        (pll_outclk0_clk),                           //         clk.clk
		.i2s_sck      (i2s_tx_conduit_end_sck),                    // conduit_end.export
		.i2s_ws       (i2s_tx_conduit_end_ws),                     //            .export
		.i2s_sd       (i2s_tx_conduit_end_sd),                     //            .export
		.s_irq        (irq_mapper_receiver4_irq)                   //         irq.irq
	);

	Qsys_jtag_uart jtag_uart (
		.clk            (pll_outclk0_clk),                                           //               clk.clk
		.rst_n          (~rst_controller_002_reset_out_reset),                       //             reset.reset_n
		.av_chipselect  (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),  // avalon_jtag_slave.chipselect
		.av_address     (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),     //                  .address
		.av_read_n      (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),       //                  .read_n
		.av_readdata    (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),    //                  .readdata
		.av_write_n     (~mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),      //                  .write_n
		.av_writedata   (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),   //                  .writedata
		.av_waitrequest (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest), //                  .waitrequest
		.av_irq         (irq_mapper_receiver0_irq)                                   //               irq.irq
	);

	altera_avalon_mm_clock_crossing_bridge #(
		.DATA_WIDTH          (32),
		.SYMBOL_WIDTH        (8),
		.HDL_ADDR_WIDTH      (8),
		.BURSTCOUNT_WIDTH    (4),
		.COMMAND_FIFO_DEPTH  (32),
		.RESPONSE_FIFO_DEPTH (32),
		.MASTER_SYNC_DEPTH   (6),
		.SLAVE_SYNC_DEPTH    (6)
	) mm_clock_crossing_bridge (
		.m0_clk           (pll_outclk1_clk),                                             //   m0_clk.clk
		.m0_reset         (rst_controller_reset_out_reset),                              // m0_reset.reset
		.s0_clk           (pll_outclk0_clk),                                             //   s0_clk.clk
		.s0_reset         (rst_controller_001_reset_out_reset),                          // s0_reset.reset
		.s0_waitrequest   (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //       s0.waitrequest
		.s0_readdata      (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //         .readdata
		.s0_readdatavalid (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //         .readdatavalid
		.s0_burstcount    (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //         .burstcount
		.s0_writedata     (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //         .writedata
		.s0_address       (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //         .address
		.s0_write         (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //         .write
		.s0_read          (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //         .read
		.s0_byteenable    (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //         .byteenable
		.s0_debugaccess   (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //         .debugaccess
		.m0_waitrequest   (mm_clock_crossing_bridge_m0_waitrequest),                     //       m0.waitrequest
		.m0_readdata      (mm_clock_crossing_bridge_m0_readdata),                        //         .readdata
		.m0_readdatavalid (mm_clock_crossing_bridge_m0_readdatavalid),                   //         .readdatavalid
		.m0_burstcount    (mm_clock_crossing_bridge_m0_burstcount),                      //         .burstcount
		.m0_writedata     (mm_clock_crossing_bridge_m0_writedata),                       //         .writedata
		.m0_address       (mm_clock_crossing_bridge_m0_address),                         //         .address
		.m0_write         (mm_clock_crossing_bridge_m0_write),                           //         .write
		.m0_read          (mm_clock_crossing_bridge_m0_read),                            //         .read
		.m0_byteenable    (mm_clock_crossing_bridge_m0_byteenable),                      //         .byteenable
		.m0_debugaccess   (mm_clock_crossing_bridge_m0_debugaccess)                      //         .debugaccess
	);

	Qsys_nios2_qsys nios2_qsys (
		.clk                                   (pll_outclk0_clk),                                            //                       clk.clk
		.reset_n                               (~rst_controller_002_reset_out_reset),                        //                   reset_n.reset_n
		.reset_req                             (rst_controller_002_reset_out_reset_req),                     //                          .reset_req
		.d_address                             (nios2_qsys_data_master_address),                             //               data_master.address
		.d_byteenable                          (nios2_qsys_data_master_byteenable),                          //                          .byteenable
		.d_read                                (nios2_qsys_data_master_read),                                //                          .read
		.d_readdata                            (nios2_qsys_data_master_readdata),                            //                          .readdata
		.d_waitrequest                         (nios2_qsys_data_master_waitrequest),                         //                          .waitrequest
		.d_write                               (nios2_qsys_data_master_write),                               //                          .write
		.d_writedata                           (nios2_qsys_data_master_writedata),                           //                          .writedata
		.d_readdatavalid                       (nios2_qsys_data_master_readdatavalid),                       //                          .readdatavalid
		.jtag_debug_module_debugaccess_to_roms (nios2_qsys_data_master_debugaccess),                         //                          .debugaccess
		.i_address                             (nios2_qsys_instruction_master_address),                      //        instruction_master.address
		.i_read                                (nios2_qsys_instruction_master_read),                         //                          .read
		.i_readdata                            (nios2_qsys_instruction_master_readdata),                     //                          .readdata
		.i_waitrequest                         (nios2_qsys_instruction_master_waitrequest),                  //                          .waitrequest
		.i_readdatavalid                       (nios2_qsys_instruction_master_readdatavalid),                //                          .readdatavalid
		.d_irq                                 (nios2_qsys_d_irq_irq),                                       //                     d_irq.irq
		.jtag_debug_module_resetrequest        (nios2_qsys_jtag_debug_module_reset_reset),                   //   jtag_debug_module_reset.reset
		.jtag_debug_module_address             (mm_interconnect_0_nios2_qsys_jtag_debug_module_address),     //         jtag_debug_module.address
		.jtag_debug_module_byteenable          (mm_interconnect_0_nios2_qsys_jtag_debug_module_byteenable),  //                          .byteenable
		.jtag_debug_module_debugaccess         (mm_interconnect_0_nios2_qsys_jtag_debug_module_debugaccess), //                          .debugaccess
		.jtag_debug_module_read                (mm_interconnect_0_nios2_qsys_jtag_debug_module_read),        //                          .read
		.jtag_debug_module_readdata            (mm_interconnect_0_nios2_qsys_jtag_debug_module_readdata),    //                          .readdata
		.jtag_debug_module_waitrequest         (mm_interconnect_0_nios2_qsys_jtag_debug_module_waitrequest), //                          .waitrequest
		.jtag_debug_module_write               (mm_interconnect_0_nios2_qsys_jtag_debug_module_write),       //                          .write
		.jtag_debug_module_writedata           (mm_interconnect_0_nios2_qsys_jtag_debug_module_writedata),   //                          .writedata
		.no_ci_readra                          ()                                                            // custom_instruction_master.readra
	);

	Qsys_onchip_memory onchip_memory (
		.clk        (pll_outclk0_clk),                               //   clk1.clk
		.address    (mm_interconnect_0_onchip_memory_s1_address),    //     s1.address
		.clken      (mm_interconnect_0_onchip_memory_s1_clken),      //       .clken
		.chipselect (mm_interconnect_0_onchip_memory_s1_chipselect), //       .chipselect
		.write      (mm_interconnect_0_onchip_memory_s1_write),      //       .write
		.readdata   (mm_interconnect_0_onchip_memory_s1_readdata),   //       .readdata
		.writedata  (mm_interconnect_0_onchip_memory_s1_writedata),  //       .writedata
		.byteenable (mm_interconnect_0_onchip_memory_s1_byteenable), //       .byteenable
		.reset      (rst_controller_001_reset_out_reset),            // reset1.reset
		.reset_req  (rst_controller_001_reset_out_reset_req),        //       .reset_req
		.freeze     (1'b0)                                           // (terminated)
	);

	Qsys_pio_button pio_button (
		.clk        (pll_outclk1_clk),                            //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),            //               reset.reset_n
		.address    (mm_interconnect_1_pio_button_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_pio_button_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_pio_button_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_pio_button_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_pio_button_s1_readdata),   //                    .readdata
		.in_port    (pio_button_external_connection_export),      // external_connection.export
		.irq        (irq_synchronizer_002_receiver_irq)           //                 irq.irq
	);

	Qsys_hdmi_tx_disp_mode pio_led (
		.clk        (pll_outclk1_clk),                         //                 clk.clk
		.reset_n    (~rst_controller_reset_out_reset),         //               reset.reset_n
		.address    (mm_interconnect_1_pio_led_s1_address),    //                  s1.address
		.write_n    (~mm_interconnect_1_pio_led_s1_write),     //                    .write_n
		.writedata  (mm_interconnect_1_pio_led_s1_writedata),  //                    .writedata
		.chipselect (mm_interconnect_1_pio_led_s1_chipselect), //                    .chipselect
		.readdata   (mm_interconnect_1_pio_led_s1_readdata),   //                    .readdata
		.out_port   (pio_led_external_connection_export)       // external_connection.export
	);

	Qsys_pll pll (
		.refclk   (clk_clk),           //  refclk.clk
		.rst      (~reset_reset_n),    //   reset.reset
		.outclk_0 (pll_outclk0_clk),   // outclk0.clk
		.outclk_1 (pll_outclk1_clk),   // outclk1.clk
		.locked   (pll_locked_export)  //  locked.export
	);

	Qsys_sysid sysid (
		.clock    (pll_outclk1_clk),                                //           clk.clk
		.reset_n  (~rst_controller_reset_out_reset),                //         reset.reset_n
		.readdata (mm_interconnect_1_sysid_control_slave_readdata), // control_slave.readdata
		.address  (mm_interconnect_1_sysid_control_slave_address)   //              .address
	);

	Qsys_timer timer (
		.clk        (pll_outclk1_clk),                       //   clk.clk
		.reset_n    (~rst_controller_reset_out_reset),       // reset.reset_n
		.address    (mm_interconnect_1_timer_s1_address),    //    s1.address
		.writedata  (mm_interconnect_1_timer_s1_writedata),  //      .writedata
		.readdata   (mm_interconnect_1_timer_s1_readdata),   //      .readdata
		.chipselect (mm_interconnect_1_timer_s1_chipselect), //      .chipselect
		.write_n    (~mm_interconnect_1_timer_s1_write),     //      .write_n
		.irq        (irq_synchronizer_receiver_irq)          //   irq.irq
	);

	Qsys_mm_interconnect_0 mm_interconnect_0 (
		.pll_outclk0_clk                                               (pll_outclk0_clk),                                             //                                             pll_outclk0.clk
		.mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset_reset (rst_controller_001_reset_out_reset),                          // mm_clock_crossing_bridge_s0_reset_reset_bridge_in_reset.reset
		.nios2_qsys_reset_n_reset_bridge_in_reset_reset                (rst_controller_002_reset_out_reset),                          //                nios2_qsys_reset_n_reset_bridge_in_reset.reset
		.nios2_qsys_data_master_address                                (nios2_qsys_data_master_address),                              //                                  nios2_qsys_data_master.address
		.nios2_qsys_data_master_waitrequest                            (nios2_qsys_data_master_waitrequest),                          //                                                        .waitrequest
		.nios2_qsys_data_master_byteenable                             (nios2_qsys_data_master_byteenable),                           //                                                        .byteenable
		.nios2_qsys_data_master_read                                   (nios2_qsys_data_master_read),                                 //                                                        .read
		.nios2_qsys_data_master_readdata                               (nios2_qsys_data_master_readdata),                             //                                                        .readdata
		.nios2_qsys_data_master_readdatavalid                          (nios2_qsys_data_master_readdatavalid),                        //                                                        .readdatavalid
		.nios2_qsys_data_master_write                                  (nios2_qsys_data_master_write),                                //                                                        .write
		.nios2_qsys_data_master_writedata                              (nios2_qsys_data_master_writedata),                            //                                                        .writedata
		.nios2_qsys_data_master_debugaccess                            (nios2_qsys_data_master_debugaccess),                          //                                                        .debugaccess
		.nios2_qsys_instruction_master_address                         (nios2_qsys_instruction_master_address),                       //                           nios2_qsys_instruction_master.address
		.nios2_qsys_instruction_master_waitrequest                     (nios2_qsys_instruction_master_waitrequest),                   //                                                        .waitrequest
		.nios2_qsys_instruction_master_read                            (nios2_qsys_instruction_master_read),                          //                                                        .read
		.nios2_qsys_instruction_master_readdata                        (nios2_qsys_instruction_master_readdata),                      //                                                        .readdata
		.nios2_qsys_instruction_master_readdatavalid                   (nios2_qsys_instruction_master_readdatavalid),                 //                                                        .readdatavalid
		.i2s_tx_slave_address                                          (mm_interconnect_0_i2s_tx_slave_address),                      //                                            i2s_tx_slave.address
		.i2s_tx_slave_write                                            (mm_interconnect_0_i2s_tx_slave_write),                        //                                                        .write
		.i2s_tx_slave_read                                             (mm_interconnect_0_i2s_tx_slave_read),                         //                                                        .read
		.i2s_tx_slave_readdata                                         (mm_interconnect_0_i2s_tx_slave_readdata),                     //                                                        .readdata
		.i2s_tx_slave_writedata                                        (mm_interconnect_0_i2s_tx_slave_writedata),                    //                                                        .writedata
		.i2s_tx_slave_chipselect                                       (mm_interconnect_0_i2s_tx_slave_chipselect),                   //                                                        .chipselect
		.jtag_uart_avalon_jtag_slave_address                           (mm_interconnect_0_jtag_uart_avalon_jtag_slave_address),       //                             jtag_uart_avalon_jtag_slave.address
		.jtag_uart_avalon_jtag_slave_write                             (mm_interconnect_0_jtag_uart_avalon_jtag_slave_write),         //                                                        .write
		.jtag_uart_avalon_jtag_slave_read                              (mm_interconnect_0_jtag_uart_avalon_jtag_slave_read),          //                                                        .read
		.jtag_uart_avalon_jtag_slave_readdata                          (mm_interconnect_0_jtag_uart_avalon_jtag_slave_readdata),      //                                                        .readdata
		.jtag_uart_avalon_jtag_slave_writedata                         (mm_interconnect_0_jtag_uart_avalon_jtag_slave_writedata),     //                                                        .writedata
		.jtag_uart_avalon_jtag_slave_waitrequest                       (mm_interconnect_0_jtag_uart_avalon_jtag_slave_waitrequest),   //                                                        .waitrequest
		.jtag_uart_avalon_jtag_slave_chipselect                        (mm_interconnect_0_jtag_uart_avalon_jtag_slave_chipselect),    //                                                        .chipselect
		.mm_clock_crossing_bridge_s0_address                           (mm_interconnect_0_mm_clock_crossing_bridge_s0_address),       //                             mm_clock_crossing_bridge_s0.address
		.mm_clock_crossing_bridge_s0_write                             (mm_interconnect_0_mm_clock_crossing_bridge_s0_write),         //                                                        .write
		.mm_clock_crossing_bridge_s0_read                              (mm_interconnect_0_mm_clock_crossing_bridge_s0_read),          //                                                        .read
		.mm_clock_crossing_bridge_s0_readdata                          (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdata),      //                                                        .readdata
		.mm_clock_crossing_bridge_s0_writedata                         (mm_interconnect_0_mm_clock_crossing_bridge_s0_writedata),     //                                                        .writedata
		.mm_clock_crossing_bridge_s0_burstcount                        (mm_interconnect_0_mm_clock_crossing_bridge_s0_burstcount),    //                                                        .burstcount
		.mm_clock_crossing_bridge_s0_byteenable                        (mm_interconnect_0_mm_clock_crossing_bridge_s0_byteenable),    //                                                        .byteenable
		.mm_clock_crossing_bridge_s0_readdatavalid                     (mm_interconnect_0_mm_clock_crossing_bridge_s0_readdatavalid), //                                                        .readdatavalid
		.mm_clock_crossing_bridge_s0_waitrequest                       (mm_interconnect_0_mm_clock_crossing_bridge_s0_waitrequest),   //                                                        .waitrequest
		.mm_clock_crossing_bridge_s0_debugaccess                       (mm_interconnect_0_mm_clock_crossing_bridge_s0_debugaccess),   //                                                        .debugaccess
		.nios2_qsys_jtag_debug_module_address                          (mm_interconnect_0_nios2_qsys_jtag_debug_module_address),      //                            nios2_qsys_jtag_debug_module.address
		.nios2_qsys_jtag_debug_module_write                            (mm_interconnect_0_nios2_qsys_jtag_debug_module_write),        //                                                        .write
		.nios2_qsys_jtag_debug_module_read                             (mm_interconnect_0_nios2_qsys_jtag_debug_module_read),         //                                                        .read
		.nios2_qsys_jtag_debug_module_readdata                         (mm_interconnect_0_nios2_qsys_jtag_debug_module_readdata),     //                                                        .readdata
		.nios2_qsys_jtag_debug_module_writedata                        (mm_interconnect_0_nios2_qsys_jtag_debug_module_writedata),    //                                                        .writedata
		.nios2_qsys_jtag_debug_module_byteenable                       (mm_interconnect_0_nios2_qsys_jtag_debug_module_byteenable),   //                                                        .byteenable
		.nios2_qsys_jtag_debug_module_waitrequest                      (mm_interconnect_0_nios2_qsys_jtag_debug_module_waitrequest),  //                                                        .waitrequest
		.nios2_qsys_jtag_debug_module_debugaccess                      (mm_interconnect_0_nios2_qsys_jtag_debug_module_debugaccess),  //                                                        .debugaccess
		.onchip_memory_s1_address                                      (mm_interconnect_0_onchip_memory_s1_address),                  //                                        onchip_memory_s1.address
		.onchip_memory_s1_write                                        (mm_interconnect_0_onchip_memory_s1_write),                    //                                                        .write
		.onchip_memory_s1_readdata                                     (mm_interconnect_0_onchip_memory_s1_readdata),                 //                                                        .readdata
		.onchip_memory_s1_writedata                                    (mm_interconnect_0_onchip_memory_s1_writedata),                //                                                        .writedata
		.onchip_memory_s1_byteenable                                   (mm_interconnect_0_onchip_memory_s1_byteenable),               //                                                        .byteenable
		.onchip_memory_s1_chipselect                                   (mm_interconnect_0_onchip_memory_s1_chipselect),               //                                                        .chipselect
		.onchip_memory_s1_clken                                        (mm_interconnect_0_onchip_memory_s1_clken)                     //                                                        .clken
	);

	Qsys_mm_interconnect_1 mm_interconnect_1 (
		.pll_outclk1_clk                                               (pll_outclk1_clk),                                     //                                             pll_outclk1.clk
		.mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset_reset (rst_controller_reset_out_reset),                      // mm_clock_crossing_bridge_m0_reset_reset_bridge_in_reset.reset
		.mm_clock_crossing_bridge_m0_address                           (mm_clock_crossing_bridge_m0_address),                 //                             mm_clock_crossing_bridge_m0.address
		.mm_clock_crossing_bridge_m0_waitrequest                       (mm_clock_crossing_bridge_m0_waitrequest),             //                                                        .waitrequest
		.mm_clock_crossing_bridge_m0_burstcount                        (mm_clock_crossing_bridge_m0_burstcount),              //                                                        .burstcount
		.mm_clock_crossing_bridge_m0_byteenable                        (mm_clock_crossing_bridge_m0_byteenable),              //                                                        .byteenable
		.mm_clock_crossing_bridge_m0_read                              (mm_clock_crossing_bridge_m0_read),                    //                                                        .read
		.mm_clock_crossing_bridge_m0_readdata                          (mm_clock_crossing_bridge_m0_readdata),                //                                                        .readdata
		.mm_clock_crossing_bridge_m0_readdatavalid                     (mm_clock_crossing_bridge_m0_readdatavalid),           //                                                        .readdatavalid
		.mm_clock_crossing_bridge_m0_write                             (mm_clock_crossing_bridge_m0_write),                   //                                                        .write
		.mm_clock_crossing_bridge_m0_writedata                         (mm_clock_crossing_bridge_m0_writedata),               //                                                        .writedata
		.mm_clock_crossing_bridge_m0_debugaccess                       (mm_clock_crossing_bridge_m0_debugaccess),             //                                                        .debugaccess
		.hdmi_tx_disp_mode_s1_address                                  (mm_interconnect_1_hdmi_tx_disp_mode_s1_address),      //                                    hdmi_tx_disp_mode_s1.address
		.hdmi_tx_disp_mode_s1_write                                    (mm_interconnect_1_hdmi_tx_disp_mode_s1_write),        //                                                        .write
		.hdmi_tx_disp_mode_s1_readdata                                 (mm_interconnect_1_hdmi_tx_disp_mode_s1_readdata),     //                                                        .readdata
		.hdmi_tx_disp_mode_s1_writedata                                (mm_interconnect_1_hdmi_tx_disp_mode_s1_writedata),    //                                                        .writedata
		.hdmi_tx_disp_mode_s1_chipselect                               (mm_interconnect_1_hdmi_tx_disp_mode_s1_chipselect),   //                                                        .chipselect
		.hdmi_tx_i2c_scl_s1_address                                    (mm_interconnect_1_hdmi_tx_i2c_scl_s1_address),        //                                      hdmi_tx_i2c_scl_s1.address
		.hdmi_tx_i2c_scl_s1_write                                      (mm_interconnect_1_hdmi_tx_i2c_scl_s1_write),          //                                                        .write
		.hdmi_tx_i2c_scl_s1_readdata                                   (mm_interconnect_1_hdmi_tx_i2c_scl_s1_readdata),       //                                                        .readdata
		.hdmi_tx_i2c_scl_s1_writedata                                  (mm_interconnect_1_hdmi_tx_i2c_scl_s1_writedata),      //                                                        .writedata
		.hdmi_tx_i2c_scl_s1_chipselect                                 (mm_interconnect_1_hdmi_tx_i2c_scl_s1_chipselect),     //                                                        .chipselect
		.hdmi_tx_i2c_sda_s1_address                                    (mm_interconnect_1_hdmi_tx_i2c_sda_s1_address),        //                                      hdmi_tx_i2c_sda_s1.address
		.hdmi_tx_i2c_sda_s1_write                                      (mm_interconnect_1_hdmi_tx_i2c_sda_s1_write),          //                                                        .write
		.hdmi_tx_i2c_sda_s1_readdata                                   (mm_interconnect_1_hdmi_tx_i2c_sda_s1_readdata),       //                                                        .readdata
		.hdmi_tx_i2c_sda_s1_writedata                                  (mm_interconnect_1_hdmi_tx_i2c_sda_s1_writedata),      //                                                        .writedata
		.hdmi_tx_i2c_sda_s1_chipselect                                 (mm_interconnect_1_hdmi_tx_i2c_sda_s1_chipselect),     //                                                        .chipselect
		.hdmi_tx_irq_n_s1_address                                      (mm_interconnect_1_hdmi_tx_irq_n_s1_address),          //                                        hdmi_tx_irq_n_s1.address
		.hdmi_tx_irq_n_s1_write                                        (mm_interconnect_1_hdmi_tx_irq_n_s1_write),            //                                                        .write
		.hdmi_tx_irq_n_s1_readdata                                     (mm_interconnect_1_hdmi_tx_irq_n_s1_readdata),         //                                                        .readdata
		.hdmi_tx_irq_n_s1_writedata                                    (mm_interconnect_1_hdmi_tx_irq_n_s1_writedata),        //                                                        .writedata
		.hdmi_tx_irq_n_s1_chipselect                                   (mm_interconnect_1_hdmi_tx_irq_n_s1_chipselect),       //                                                        .chipselect
		.hdmi_tx_mode_change_s1_address                                (mm_interconnect_1_hdmi_tx_mode_change_s1_address),    //                                  hdmi_tx_mode_change_s1.address
		.hdmi_tx_mode_change_s1_write                                  (mm_interconnect_1_hdmi_tx_mode_change_s1_write),      //                                                        .write
		.hdmi_tx_mode_change_s1_readdata                               (mm_interconnect_1_hdmi_tx_mode_change_s1_readdata),   //                                                        .readdata
		.hdmi_tx_mode_change_s1_writedata                              (mm_interconnect_1_hdmi_tx_mode_change_s1_writedata),  //                                                        .writedata
		.hdmi_tx_mode_change_s1_chipselect                             (mm_interconnect_1_hdmi_tx_mode_change_s1_chipselect), //                                                        .chipselect
		.hdmi_tx_reset_n_s1_address                                    (mm_interconnect_1_hdmi_tx_reset_n_s1_address),        //                                      hdmi_tx_reset_n_s1.address
		.hdmi_tx_reset_n_s1_write                                      (mm_interconnect_1_hdmi_tx_reset_n_s1_write),          //                                                        .write
		.hdmi_tx_reset_n_s1_readdata                                   (mm_interconnect_1_hdmi_tx_reset_n_s1_readdata),       //                                                        .readdata
		.hdmi_tx_reset_n_s1_writedata                                  (mm_interconnect_1_hdmi_tx_reset_n_s1_writedata),      //                                                        .writedata
		.hdmi_tx_reset_n_s1_chipselect                                 (mm_interconnect_1_hdmi_tx_reset_n_s1_chipselect),     //                                                        .chipselect
		.hdmi_tx_vpg_color_s1_address                                  (mm_interconnect_1_hdmi_tx_vpg_color_s1_address),      //                                    hdmi_tx_vpg_color_s1.address
		.hdmi_tx_vpg_color_s1_write                                    (mm_interconnect_1_hdmi_tx_vpg_color_s1_write),        //                                                        .write
		.hdmi_tx_vpg_color_s1_readdata                                 (mm_interconnect_1_hdmi_tx_vpg_color_s1_readdata),     //                                                        .readdata
		.hdmi_tx_vpg_color_s1_writedata                                (mm_interconnect_1_hdmi_tx_vpg_color_s1_writedata),    //                                                        .writedata
		.hdmi_tx_vpg_color_s1_chipselect                               (mm_interconnect_1_hdmi_tx_vpg_color_s1_chipselect),   //                                                        .chipselect
		.pio_button_s1_address                                         (mm_interconnect_1_pio_button_s1_address),             //                                           pio_button_s1.address
		.pio_button_s1_write                                           (mm_interconnect_1_pio_button_s1_write),               //                                                        .write
		.pio_button_s1_readdata                                        (mm_interconnect_1_pio_button_s1_readdata),            //                                                        .readdata
		.pio_button_s1_writedata                                       (mm_interconnect_1_pio_button_s1_writedata),           //                                                        .writedata
		.pio_button_s1_chipselect                                      (mm_interconnect_1_pio_button_s1_chipselect),          //                                                        .chipselect
		.pio_led_s1_address                                            (mm_interconnect_1_pio_led_s1_address),                //                                              pio_led_s1.address
		.pio_led_s1_write                                              (mm_interconnect_1_pio_led_s1_write),                  //                                                        .write
		.pio_led_s1_readdata                                           (mm_interconnect_1_pio_led_s1_readdata),               //                                                        .readdata
		.pio_led_s1_writedata                                          (mm_interconnect_1_pio_led_s1_writedata),              //                                                        .writedata
		.pio_led_s1_chipselect                                         (mm_interconnect_1_pio_led_s1_chipselect),             //                                                        .chipselect
		.sysid_control_slave_address                                   (mm_interconnect_1_sysid_control_slave_address),       //                                     sysid_control_slave.address
		.sysid_control_slave_readdata                                  (mm_interconnect_1_sysid_control_slave_readdata),      //                                                        .readdata
		.timer_s1_address                                              (mm_interconnect_1_timer_s1_address),                  //                                                timer_s1.address
		.timer_s1_write                                                (mm_interconnect_1_timer_s1_write),                    //                                                        .write
		.timer_s1_readdata                                             (mm_interconnect_1_timer_s1_readdata),                 //                                                        .readdata
		.timer_s1_writedata                                            (mm_interconnect_1_timer_s1_writedata),                //                                                        .writedata
		.timer_s1_chipselect                                           (mm_interconnect_1_timer_s1_chipselect)                //                                                        .chipselect
	);

	Qsys_irq_mapper irq_mapper (
		.clk           (pll_outclk0_clk),                    //       clk.clk
		.reset         (rst_controller_002_reset_out_reset), // clk_reset.reset
		.receiver0_irq (irq_mapper_receiver0_irq),           // receiver0.irq
		.receiver1_irq (irq_mapper_receiver1_irq),           // receiver1.irq
		.receiver2_irq (irq_mapper_receiver2_irq),           // receiver2.irq
		.receiver3_irq (irq_mapper_receiver3_irq),           // receiver3.irq
		.receiver4_irq (irq_mapper_receiver4_irq),           // receiver4.irq
		.sender_irq    (nios2_qsys_d_irq_irq)                //    sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer (
		.receiver_clk   (pll_outclk1_clk),                    //       receiver_clk.clk
		.sender_clk     (pll_outclk0_clk),                    //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_receiver_irq),      //           receiver.irq
		.sender_irq     (irq_mapper_receiver1_irq)            //             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_001 (
		.receiver_clk   (pll_outclk1_clk),                    //       receiver_clk.clk
		.sender_clk     (pll_outclk0_clk),                    //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_001_receiver_irq),  //           receiver.irq
		.sender_irq     (irq_mapper_receiver2_irq)            //             sender.irq
	);

	altera_irq_clock_crosser #(
		.IRQ_WIDTH (1)
	) irq_synchronizer_002 (
		.receiver_clk   (pll_outclk1_clk),                    //       receiver_clk.clk
		.sender_clk     (pll_outclk0_clk),                    //         sender_clk.clk
		.receiver_reset (rst_controller_reset_out_reset),     // receiver_clk_reset.reset
		.sender_reset   (rst_controller_002_reset_out_reset), //   sender_clk_reset.reset
		.receiver_irq   (irq_synchronizer_002_receiver_irq),  //           receiver.irq
		.sender_irq     (irq_mapper_receiver3_irq)            //             sender.irq
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (0),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller (
		.reset_in0      (~reset_reset_n),                 // reset_in0.reset
		.clk            (pll_outclk1_clk),                //       clk.clk
		.reset_out      (rst_controller_reset_out_reset), // reset_out.reset
		.reset_req      (),                               // (terminated)
		.reset_req_in0  (1'b0),                           // (terminated)
		.reset_in1      (1'b0),                           // (terminated)
		.reset_req_in1  (1'b0),                           // (terminated)
		.reset_in2      (1'b0),                           // (terminated)
		.reset_req_in2  (1'b0),                           // (terminated)
		.reset_in3      (1'b0),                           // (terminated)
		.reset_req_in3  (1'b0),                           // (terminated)
		.reset_in4      (1'b0),                           // (terminated)
		.reset_req_in4  (1'b0),                           // (terminated)
		.reset_in5      (1'b0),                           // (terminated)
		.reset_req_in5  (1'b0),                           // (terminated)
		.reset_in6      (1'b0),                           // (terminated)
		.reset_req_in6  (1'b0),                           // (terminated)
		.reset_in7      (1'b0),                           // (terminated)
		.reset_req_in7  (1'b0),                           // (terminated)
		.reset_in8      (1'b0),                           // (terminated)
		.reset_req_in8  (1'b0),                           // (terminated)
		.reset_in9      (1'b0),                           // (terminated)
		.reset_req_in9  (1'b0),                           // (terminated)
		.reset_in10     (1'b0),                           // (terminated)
		.reset_req_in10 (1'b0),                           // (terminated)
		.reset_in11     (1'b0),                           // (terminated)
		.reset_req_in11 (1'b0),                           // (terminated)
		.reset_in12     (1'b0),                           // (terminated)
		.reset_req_in12 (1'b0),                           // (terminated)
		.reset_in13     (1'b0),                           // (terminated)
		.reset_req_in13 (1'b0),                           // (terminated)
		.reset_in14     (1'b0),                           // (terminated)
		.reset_req_in14 (1'b0),                           // (terminated)
		.reset_in15     (1'b0),                           // (terminated)
		.reset_req_in15 (1'b0)                            // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (1),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_001 (
		.reset_in0      (~reset_reset_n),                         // reset_in0.reset
		.clk            (pll_outclk0_clk),                        //       clk.clk
		.reset_out      (rst_controller_001_reset_out_reset),     // reset_out.reset
		.reset_req      (rst_controller_001_reset_out_reset_req), //          .reset_req
		.reset_req_in0  (1'b0),                                   // (terminated)
		.reset_in1      (1'b0),                                   // (terminated)
		.reset_req_in1  (1'b0),                                   // (terminated)
		.reset_in2      (1'b0),                                   // (terminated)
		.reset_req_in2  (1'b0),                                   // (terminated)
		.reset_in3      (1'b0),                                   // (terminated)
		.reset_req_in3  (1'b0),                                   // (terminated)
		.reset_in4      (1'b0),                                   // (terminated)
		.reset_req_in4  (1'b0),                                   // (terminated)
		.reset_in5      (1'b0),                                   // (terminated)
		.reset_req_in5  (1'b0),                                   // (terminated)
		.reset_in6      (1'b0),                                   // (terminated)
		.reset_req_in6  (1'b0),                                   // (terminated)
		.reset_in7      (1'b0),                                   // (terminated)
		.reset_req_in7  (1'b0),                                   // (terminated)
		.reset_in8      (1'b0),                                   // (terminated)
		.reset_req_in8  (1'b0),                                   // (terminated)
		.reset_in9      (1'b0),                                   // (terminated)
		.reset_req_in9  (1'b0),                                   // (terminated)
		.reset_in10     (1'b0),                                   // (terminated)
		.reset_req_in10 (1'b0),                                   // (terminated)
		.reset_in11     (1'b0),                                   // (terminated)
		.reset_req_in11 (1'b0),                                   // (terminated)
		.reset_in12     (1'b0),                                   // (terminated)
		.reset_req_in12 (1'b0),                                   // (terminated)
		.reset_in13     (1'b0),                                   // (terminated)
		.reset_req_in13 (1'b0),                                   // (terminated)
		.reset_in14     (1'b0),                                   // (terminated)
		.reset_req_in14 (1'b0),                                   // (terminated)
		.reset_in15     (1'b0),                                   // (terminated)
		.reset_req_in15 (1'b0)                                    // (terminated)
	);

	altera_reset_controller #(
		.NUM_RESET_INPUTS          (2),
		.OUTPUT_RESET_SYNC_EDGES   ("deassert"),
		.SYNC_DEPTH                (2),
		.RESET_REQUEST_PRESENT     (1),
		.RESET_REQ_WAIT_TIME       (1),
		.MIN_RST_ASSERTION_TIME    (3),
		.RESET_REQ_EARLY_DSRT_TIME (1),
		.USE_RESET_REQUEST_IN0     (0),
		.USE_RESET_REQUEST_IN1     (0),
		.USE_RESET_REQUEST_IN2     (0),
		.USE_RESET_REQUEST_IN3     (0),
		.USE_RESET_REQUEST_IN4     (0),
		.USE_RESET_REQUEST_IN5     (0),
		.USE_RESET_REQUEST_IN6     (0),
		.USE_RESET_REQUEST_IN7     (0),
		.USE_RESET_REQUEST_IN8     (0),
		.USE_RESET_REQUEST_IN9     (0),
		.USE_RESET_REQUEST_IN10    (0),
		.USE_RESET_REQUEST_IN11    (0),
		.USE_RESET_REQUEST_IN12    (0),
		.USE_RESET_REQUEST_IN13    (0),
		.USE_RESET_REQUEST_IN14    (0),
		.USE_RESET_REQUEST_IN15    (0),
		.ADAPT_RESET_REQUEST       (0)
	) rst_controller_002 (
		.reset_in0      (~reset_reset_n),                           // reset_in0.reset
		.reset_in1      (nios2_qsys_jtag_debug_module_reset_reset), // reset_in1.reset
		.clk            (pll_outclk0_clk),                          //       clk.clk
		.reset_out      (rst_controller_002_reset_out_reset),       // reset_out.reset
		.reset_req      (rst_controller_002_reset_out_reset_req),   //          .reset_req
		.reset_req_in0  (1'b0),                                     // (terminated)
		.reset_req_in1  (1'b0),                                     // (terminated)
		.reset_in2      (1'b0),                                     // (terminated)
		.reset_req_in2  (1'b0),                                     // (terminated)
		.reset_in3      (1'b0),                                     // (terminated)
		.reset_req_in3  (1'b0),                                     // (terminated)
		.reset_in4      (1'b0),                                     // (terminated)
		.reset_req_in4  (1'b0),                                     // (terminated)
		.reset_in5      (1'b0),                                     // (terminated)
		.reset_req_in5  (1'b0),                                     // (terminated)
		.reset_in6      (1'b0),                                     // (terminated)
		.reset_req_in6  (1'b0),                                     // (terminated)
		.reset_in7      (1'b0),                                     // (terminated)
		.reset_req_in7  (1'b0),                                     // (terminated)
		.reset_in8      (1'b0),                                     // (terminated)
		.reset_req_in8  (1'b0),                                     // (terminated)
		.reset_in9      (1'b0),                                     // (terminated)
		.reset_req_in9  (1'b0),                                     // (terminated)
		.reset_in10     (1'b0),                                     // (terminated)
		.reset_req_in10 (1'b0),                                     // (terminated)
		.reset_in11     (1'b0),                                     // (terminated)
		.reset_req_in11 (1'b0),                                     // (terminated)
		.reset_in12     (1'b0),                                     // (terminated)
		.reset_req_in12 (1'b0),                                     // (terminated)
		.reset_in13     (1'b0),                                     // (terminated)
		.reset_req_in13 (1'b0),                                     // (terminated)
		.reset_in14     (1'b0),                                     // (terminated)
		.reset_req_in14 (1'b0),                                     // (terminated)
		.reset_in15     (1'b0),                                     // (terminated)
		.reset_req_in15 (1'b0)                                      // (terminated)
	);

endmodule
