module RESET_DELAY  (
  input       RESET_N,
  input       CLK , 
  output reg  READY_CLOCK

  
);

parameter SEC =100000000 ;
reg [31:0] DELAY   ;   


always @( negedge RESET_N  or posedge CLK ) 
if (!RESET_N) begin 
   DELAY       <= 0 ;  
	READY_CLOCK <= 1 ; 
end 
else 
if ( DELAY < SEC*3  )  begin 
   DELAY        <= DELAY+1 ;
   READY_CLOCK  <= ( DELAY < SEC*2  ) ?0 : 1 ; 
	end 

endmodule 
